summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build10-amd64
diff options
context:
space:
mode:
authorHW42 <hw42@ipsumj.de>2016-11-06 21:59:47 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-07 14:36:26 +0100
commit80f3457426fac1e047ac0d050cf73bb701925214 (patch)
treea88ab567021aeb8465b1ae702aea0977fa32bec5 /hosts/profitbricks-build10-amd64
parent47be674e4958eefbf02139f13a136adffce0e582 (diff)
downloadjenkins.debian.net-80f3457426fac1e047ac0d050cf73bb701925214.tar.xz
reproducible Debian: vary the source dir name
This hapens for example when some builders use 'dpkg-source -x' and others build out of a SCM. Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/profitbricks-build10-amd64')
-rwxr-xr-xhosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
1 files changed, 20 insertions, 0 deletions
diff --git a/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..7750fdfe
--- /dev/null
+++ b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$(basename $(pwd))" != "2nd" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+# We want to keep the build path length to minimise the diff. So we just
+# replace the first char of the source dir.
+mv $src_dir _${src_dir:1}